Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle TopLink API Reference 10g Release 3 (10.1.3) B13698-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.toplink.queryframework
Class InMemoryQueryIndirectionPolicy

`java.lang.Object
oracle.toplink.queryframework.InMemoryQueryIndirectionPolicy`

All Implemented Interfaces:
  java.io.Serializable

public class InMemoryQueryIndirectionPolicy
extends java.lang.Object
implements java.io.Serializable

Purpose: Used to provide the user with a means of contoling the behaviour of in memory queries that access un-instantiated indirection in the query..

Description: This class contains a state variable that is used to determine what a query should do when accesing un-instantiated indirection. Use use this policy access the policy of a query set the policy behaviour using the methods below. All read queries have the policy set to throw exception by default

Since:
  TopLink/Java 3.6.3
See Also:
  Serialized Form

Field Summary
`static int` | `SHOULD_IGNORE_EXCEPTION_RETURN_CONFORMED`
`static int` | `SHOULD_IGNORE_EXCEPTION_RETURN_NOT_CONFORMED`
`static int` | `SHOULD_THROW_INDIRECTION_EXCEPTION`
`static int` | `SHOULD_TRIGGER_INDIRECTION`

Constructor Summary
`InMemoryQueryIndirectionPolicy()`
`InMemoryQueryIndirectionPolicy(int policyValue)`

Method Summary
`int` | `getPolicy()`
`void` | `ignoreIndirectionExceptionReturnConformed()`
`void` | `ignoreIndirectionExceptionReturnNotConformed()`
`void` | `setPolicy(int policy)`
`boolean` | `shouldIgnoreIndirectionExceptionReturnConformed()`
`boolean` | `shouldIgnoreIndirectionExceptionReturnNotConformed()`
`boolean` | `shouldThrowIndirectionException()`
`boolean` | `shouldTriggerIndirection()`
`void` | `throwIndirectionException()`
`void` | `triggerIndirection()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### SHOULD_THROW_INDIRECTION_EXCEPTION

    public static final int SHOULD_THROW_INDIRECTION_EXCEPTION

  See Also:
    Constant Field Values

### SHOULD_TRIGGER_INDIRECTION

    public static final int SHOULD_TRIGGER_INDIRECTION

  See Also:
    Constant Field Values

### SHOULD_IGNORE_EXCEPTION_RETURN_CONFORMED

    public static final int SHOULD_IGNORE_EXCEPTION_RETURN_CONFORMED

  See Also:
    Constant Field Values

### SHOULD_IGNORE_EXCEPTION_RETURN_NOT_CONFORMED

    public static final int SHOULD_IGNORE_EXCEPTION_RETURN_NOT_CONFORMED

  See Also:
    Constant Field Values

Constructor Detail

### InMemoryQueryIndirectionPolicy

    public InMemoryQueryIndirectionPolicy()

### InMemoryQueryIndirectionPolicy

    public InMemoryQueryIndirectionPolicy(int policyValue)

Method Detail

### shouldTriggerIndirection

    public boolean shouldTriggerIndirection()

### shouldThrowIndirectionException

    public boolean shouldThrowIndirectionException()

### shouldIgnoreIndirectionExceptionReturnConformed

    public boolean shouldIgnoreIndirectionExceptionReturnConformed()

### shouldIgnoreIndirectionExceptionReturnNotConformed

    public boolean shouldIgnoreIndirectionExceptionReturnNotConformed()

### ignoreIndirectionExceptionReturnNotConformed

    public void ignoreIndirectionExceptionReturnNotConformed()

### ignoreIndirectionExceptionReturnConformed

    public void ignoreIndirectionExceptionReturnConformed()

### triggerIndirection

    public void triggerIndirection()

### throwIndirectionException

    public void throwIndirectionException()

### getPolicy

    public int getPolicy()

### setPolicy

    public void setPolicy(int policy)

Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 1998, 2006, Oracle. All Rights Reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD